NotificationControllerRunNotifications Method |
POST /Notification/Run
Runs multiple notifications.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Run")]
public HttpResponseMessage RunNotifications(
[FromBodyAttribute] IList<Guid> notificationIds,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Run")>
Public Function RunNotifications (
<FromBodyAttribute> notificationIds As IList(Of Guid),
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Run")]
HttpResponseMessage^ RunNotifications(
[FromBodyAttribute] IList<Guid>^ notificationIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Run")>]
member RunNotifications :
[<FromBodyAttribute>] notificationIds : IList<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- notificationIds
- Type: System.Collections.GenericIListGuid
A collection of notification IDs . - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageA status code indicating success or the reason for failure.
See Also